<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Flex Exercise</title>
    <style>
        html, body {
            margin: 0;
            padding: 0;
            width: 100%;
            height: 100%;
            font-family: Calibri, Arial;
        }
        #container {
            width: 100%;
            height: 100%;
            display: flex;
            flex-wrap: wrap;
        }
        header {
            background: lightcoral;
            flex-basis: 100%;
            height: 75px;
            order: 1;
        }
        nav {
            background: lightgreen;
            flex: 2;
            height: calc(100% - 125px);
            order: 2;
        }
        main {
            background: lightseagreen;
            flex: 4;
            order: 4;
        }
        aside {
            background: lightpink;
            flex: 1;
            order: 3;
        }
        footer {
            background: lightskyblue;
            flex-basis: 100%;
            height: 50px;
            order: 5;
        }
        #container > * {
            display: flex;
            justify-content: center;
            align-items: center;
        }

        @media (max-width: 500px) {

            main {
                flex: 100%;
                height: calc(100% - 75px - 50px - 80px);
            }
            nav {
                flex: 1;
                height: 80px;
            }

        }
    </style>
</head>
<body>
    <div id="container">
        <header>Header</header>
        <nav>Left menu</nav>
        <main>Main</main>
        <aside>Right</aside>
        <footer>Footer</footer>
    </div>
</body>
</html>